Arch linux AP modu çalışmıyor (RTL8852BE)

RTL8852BE wifi sürücüme linux 6.2 kernel versiyonu ile destek geldi ama 6.2 ve sonraki sürümlerin hiçbirinde hotspot çalışmadı maalesef. Windowsta sorunsuz çalışıyor. Wifi-hotspot uygulamasının terminal çıktısını aşağı bırakıyorum.

sudo wihotspot

(wihotspot-gui:37759): GLib-GObject-CRITICAL **: 00:19:16.664: invalid cast from 'GtkEntry' to 'GtkTextView'

(wihotspot-gui:37759): Gtk-CRITICAL **: 00:19:16.665: gtk_text_view_get_buffer: assertion 'GTK_IS_TEXT_VIEW (text_view)' failed

(wihotspot-gui:37759): GLib-GObject-CRITICAL **: 00:19:16.665: invalid (NULL) pointer instance

(wihotspot-gui:37759): GLib-GObject-CRITICAL **: 00:19:16.666: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(wihotspot-gui:37759): Gtk-CRITICAL **: 00:19:16.687: gtk_text_buffer_set_text: assertion 'GTK_IS_TEXT_BUFFER (buffer)' failed





pkexec --user root create_ap wlan0 wlan0 'MyAccessPoint' '12345678' --mkconfig /etc/create_ap.conf --freq-band 2.4 
Config options written to '/etc/create_ap.conf'
ERROR: Your adapter can not be a station (i.e. be connected) and an AP at the same time
Command not found or exited with error status


Merhaba, yapmak istediğiniz şey kablolu interneti kablosuz bir şekilde dağıtmak mı yoksa kablosuz aldığınız interneti gene kablosuz olarak dağıtmak/repeat etmek mi?

Çünkü verdiği uyarıya göre kablosuz cihazını aynı anda hem bir ağa bağlanmayı hem de onu kablosuz olarak dağıtmayı desteklemiyor gibi duruyor.

Kablosuza bağlıyken kablosuz olarak dağıtmaya çalışıyorum.
W11’de bunu yapabiliyorum

İlgili wifi kartı için AP modu yakın zaman önce şu commit ile güncellenmiş. Acaba uygulamayı en son ne zaman build ettiniz. En son güncellemeleri Github sayfasından pull edip tekrar rebuild etmenizi rica edeceğim. Bu şekilde olmaz ise geliştiricinin Github sayfasındaki şu rehberdeki yönergeleri denemenizin belki faydası olabilir.

1 Like

Deneyeceğim. Umarım Kernek 6.5 ile sorun çıkarmaz

Bu hatayı aldım

furkan@furkan-hp255156inchg9notebookpc ~]$ wihotspot

(wihotspot-gui:2154): GLib-GObject-CRITICAL **: 19:15:51.053: invalid cast from 'GtkEntry' to 'GtkTextView'

(wihotspot-gui:2154): Gtk-CRITICAL **: 19:15:51.053: gtk_text_view_get_buffer: assertion 'GTK_IS_TEXT_VIEW (text_view)' failed

(wihotspot-gui:2154): GLib-GObject-CRITICAL **: 19:15:51.053: invalid (NULL) pointer instance

(wihotspot-gui:2154): GLib-GObject-CRITICAL **: 19:15:51.053: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
pkexec --user root create_ap wlan0 wlan0 'MyAccessPoint' '' --mkconfig /etc/create_ap.conf --freq-band 2.4 
Config options written to '/etc/create_ap.conf'

Error: Failed to run hostapd, maybe a program is interfering.
haveged: command socket is listening at fd 4
If an error like 'n80211: Could not configure driver mode' was thrown
try running the following before starting create_ap:
    nmcli r wifi off
    rfkill unblock wlan
Command not found or exited with error status

Nmcli ve rfkill komutlarını da denedim ama çözüm olmadı

Bilgisayarı yeniden başlattıktan sonra mı denediniz acaba? Bağlandığınız Wifi’ın kanal genişliği 20 haricinde bir sayı ise (mesela 40 width) de sorun olabilmekteymiş. Aynı zamanda söz konusu ağa 5 Ghz değil 2.4 Ghz ile bağlı olmanız gerektiğini söyleyeyim. Neticeten bir kez daha yeniden başlatıp denemekte fayda var :roll_eyes:

1 Like

2.4 Ghz ile bağlandım ama sorun devam etti bant olarak da 20 dışında birçok opsiyon var

Bağlandığınız ağın bant genişliği 20 olmalı. Cevabınızdan anladığıma göre sizin ağın bant genişliği 20 değil galiba. Aynı chipseti kullanan diğer kullanıcılar bu konuda yorumlar yapmışlar. Bu uygulama diğer wifi kartları için de böyle bir kısıtlayıcı tutum içine giriyor mu emin değilim ama sizin durumunuzda bu şartlara uymanın olumlu sonuçları olduğuyla ilgil Issue yorumları mevcut. Eğer gene olmaz ise benim aklıma başkaca bir çözüm gelmiyor şu an için maalesef. :neutral_face:

1 Like